{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine set_list_box_data\r\ndeclare function set_property, fieldcount, center_window, rds_comm\r\n$insert quote_spec_equ\r\n$insert recipe_equ\r\n\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nLayerInfo = field( CreateParam, char(244), 1 )\r\nconvert @vm to @fm in LayerInfo\r\nconvert @svm to @vm in LayerInfo\r\nTitle   = field( CreateParam, char(244), 2 )\r\nVoid    = set_property( @window, '@RDSNo', Title )\r\nCurTitle = get_property( @window, 'TEXT' )\r\nCurTitle:= ' ':Title\r\nVoid = set_property( @window, 'TEXT', CurTitle )\r\nNumLayers = fieldcount( LayerInfo, char(248) )\r\nif NumLayers = 0 then\r\n    NumLayers = 1\r\nend\r\n.layer_desc->text = '2 of ':NumLayers+1\r\nFirstLayer    = field( LayerInfo, char(248), 1 )\r\nVoid = set_property( @window, '@CurLayer', 1 )\r\nVoid = set_property( @window, '@LayerInfo', LayerInfo )\r\nVoid = set_property( @window, '@OrigLayerInfo', LayerInfo )\r\n\r\n* now load the LAYER specific prompts\r\nControls = 'CON_MIN/CON_TARGET/CON_MAX/CON_UNITS/'\r\nControls:= 'RECIPE_NO/THICKNESS_READINGS/EPI_TIME/SHEETRHO_READINGS/'\r\nControls:= 'TTHICK_AVG/TTHICK_STDEV/EPI_DOPANT_FLOW/TTHICK_MAX/TTHICK_MIN/'\r\nControls:= 'TTHICK_UNIF///TRES_AVG/TRES_STDEV/TRES_MAX/'\r\nControls:= 'TRES_MIN/TRES_UNIF///'\r\nControls:= 'THICK_MIN/THICK_TARGET/THICK_MAX/THICK_UNITS/RES_MIN/'\r\nControls:= 'RES_TARGET/RES_MAX/RES_UNITS'\r\n\r\nswap '/' with @rm:@window:'.' in Controls\r\nControls = @window:'.':Controls\r\nVoid = set_property( @window, '@LayerControls', Controls )\r\nLayerPromptCnt = fieldcount( Controls, @rm )\r\nVoid = set_property( @window, '@LayerPromptCnt', LayerPromptCnt )\r\nValueCnt = fieldcount( FirstLayer, @fm )\r\n* so set_property does not propagate\r\nif ValueCnt < LayerPromptCnt then\r\n   FirstLayer := str( @fm, LayerPromptCnt-ValueCnt-1 )\r\nend\r\n* ok\r\n.recipe_name->text = xlate( 'RECIPE', FirstLayer<5>, recipe_recipe_name$, 'X' )\r\nconvert @fm to @rm in FirstLayer\r\nVoid = set_property( Controls, 'INVALUE', FirstLayer )\r\nVoid = rds_comm( 'CALC_ALL_RES' )\r\nset_list_box_data( CtrlEntId )\r\nVoid = rds_comm( \"SET_ML_LIMITS\" )\r\nif .res_units->text = 'ê/Ü' then\r\n   * ohms squared use sheetrho for label and calculations\r\n   .thick_resrho_label->text = 'Thickness:SheetRHO:'       \r\nend else\r\n   .thick_resrho_label->text = 'Thickness:Resistivity:'   \r\nend \r\nRETURN 0"
        }
    }
}